Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Class SequenceEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--weblogic.common.SequenceEvent

public class SequenceEvent
extends java.util.EventObject

Is an indication of operations that take place as an out-of-order stream of objects is reordered in a sequence using the "push" flow model (Lea 1997, p. 220). Possible SequenceEvents are defined in this class by static final ints, and cover these potential operations errors and warnings:

- WINDOW_OVERFLOW error is raised when the cache becomes full while waiting for a missing item to be inserted into a Sequence.
- TIMEOUT error occurs when no more objects are being inserted into a non-empty, waiting cache.
- BACKFLOW_THRESHOLD_REACHED warning is generated for flow control purposes, to slow down the object producer. This threshold is configurable.
- DUPLICATE warning is generated when a Sequenced object arrives that has already been received.

Author:
  Copyright (c) 1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Sequencer`, Serialized Form

Field Summary
`static int` | `BACKFLOW_THRESHOLD_REACHED` Backflow threshold has been crossed.
`static int` | `DATA` New data (in sequence) is available.
`static int` | `DUPLICATE` A duplicate has been inserted.
`int` | `id` ID of a SequenceEvent.
`static int` | `TIMEOUT` No progress has been made after tmo seconds.
`static int` | `WINDOW_OVERFLOW` Window has closed, meaning that the internal buffers are full.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`protected` | `SequenceEvent(java.lang.Object source, int id)`
`protected` | `SequenceEvent(java.lang.Object source, int id, Sequenced sequenced)`

Method Summary
`Sequenced` | `getSequenced()` Returns the Sequenced object associated with a SequenceEvent.
`java.lang.String` | `toString()` Displays a representation of a SequenceEvent.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUPLICATE

    public static final int DUPLICATE

  A duplicate has been inserted.

### WINDOW_OVERFLOW

    public static final int WINDOW_OVERFLOW

  Window has closed, meaning that the internal buffers are full.

### BACKFLOW_THRESHOLD_REACHED

    public static final int BACKFLOW_THRESHOLD_REACHED

  Backflow threshold has been crossed.

### TIMEOUT

    public static final int TIMEOUT

  No progress has been made after tmo seconds.

### DATA

    public static final int DATA

  New data (in sequence) is available.

### id

    public int id

  ID of a SequenceEvent.

Constructor Detail

### SequenceEvent

    protected SequenceEvent(java.lang.Object source,
                            int id)

### SequenceEvent

    protected SequenceEvent(java.lang.Object source,
                            int id,
                            Sequenced sequenced)

Method Detail

### getSequenced

    public Sequenced getSequenced()

  Returns the Sequenced object associated with a SequenceEvent.

  Returns:
    Sequenced object

### toString

    public java.lang.String toString()

  Displays a representation of a SequenceEvent.

  Returns:
    SequenceEvent info
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD